Skip to main content

Images

Banking Images APIs return digitized host imagesCHECK, DEPOSIT_SLIP, and STATEMENT—with list and download flows filtered by account, image type, and date range where applicable.

End-user benefits

  • View check and deposit slip images linked to transactions.
  • Access statement images and previews (vendor-dependent).

Integration capabilities

  • List images with filters; download by image identifier.
  • Business Banking: use institutionCustomerId to look up accounts for a specific location (see Retrieve Customer Profile API for more details).

Scopes

ScopeDescription
images:readRead images

Required headers

HeaderDescription
AuthorizationBearer token (V2 authentication)
transactionIdUnique identifier for request tracking

Error codes (BIS_*)

CodeMessageHTTP Status Code
BIS_00001Could not retrieve check image. Date out of range or expired.400
BIS_00002Could not retrieve deposit slip image. Date out of range or expired.500
BIS_00003The date provided could not be parsed or represented an invalid date.400
BIS_00004Image type cannot be null or empty.400
BIS_00005Image type is not supported.400
BIS_00006Account type is not supported for check image.400
BIS_00007Account types configured for deposit slip image at FI level are invalid.400
BIS_00008Transaction types configured for deposit slip image at FI level are invalid.400
BIS_00009Transaction image number is invalid or contains non-numeric characters.400
BIS_00010Transaction date cannot be null for check or deposit slip images.400
BIS_00011Account id cannot be null or empty.400
BIS_00012Image identifier cannot be null for deposit slip images.400
BIS_00013Request is missing a transactionId header400
BIS_00014Request should only contain printable ASCII characters.400
BIS_00015One of the query parameter length is greater than max length.400
BIS_00016Request transactionId header is too long.400
BIS_00017Invalid query param.400
BIS_00018Start date or end date cannot be null for statement images.400
BIS_00019The start date cannot be after the end date.400
BIS_00020A location is required for BB users.400
BIS_00021BB user is missing user id in the request.400
BIS_00022The date cannot be null or empty.400
BIS_00023Request header is too long.400
BIS_00024Request callingAppId header is too long.400
BIS_10000Client error. Banking images request could not be completed.500
BIS_10001Full authentication was not provided in the request.401
BIS_10002The authentication token that was sent in the request is invalid.401
BIS_10003The authentication provided does not authorize this request.403
BIS_10004InstitutionCustomers not available in JWT.403
BIS_10005Unauthorized access.400
BIS_20001Check image retrieval was not successful.500
BIS_20002No statements available for users500
BIS_20007Error interacting with FICDS Statement Image service.500
BIS_20008No transaction found for the requested image.404
BIS_20009Account in the request not available400
BIS_20010Transaction history is not enabled or allowed for the requested account.400
BIS_20022User not found.404
BIS_20023HTTP Response from BB Service is not successful400
BIS_30000Check image feature is not enabled for this FI.400
BIS_30001Image retrieval is turned off for this account.400
BIS_30002Deposit slip image retrieval is turned off for this FI.400
BIS_30004Data not found.404
BIS_30005User is not entitled to view online statements.401
BIS_30006Entitlements or account response is blank.400
BIS_88888Internal validation error.500
BIS_90000Server cannot handle this request.500
BIS_99999Server error. Banking images request could not be completed.500

Endpoints